Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface WebServiceBindingMBean

All Superinterfaces:
  BindingMBean, weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface WebServiceBindingMBean
extends BindingMBean

No description provided.

Field Summary

Fields inherited from interface com.bea.wli.tpm.management.configuration.BindingMBean
`EBXML, EBXML_10, EBXML_20, ROSETTANET, ROSETTANET_11, ROSETTANET_20, WEBSERVICE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Methods inherited from interface com.bea.wli.tpm.management.configuration.BindingMBean
`addReferenceToTransport, addTransport, getBindingName, getBusinessProtocolName, getBusinessProtocolVersion, getTradingPartnerName, isDefaultBinding, isEbxml, isRosettaNet, isWebService, removeTransport, retrieveTradingPartner, retrieveTransport, setBindingName, setBusinessProtocolName, setBusinessProtocolVersion, setDefaultBinding, setEbxml, setRosettaNet, setWebService`

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD